libebook::FictionBook2BlockFormatContextBase Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libebook::FictionBook2BlockFormatContextBase Class Reference

`#include <FictionBook2ParserContext.h>`

Inheritance diagram for libebook::FictionBook2BlockFormatContextBase:

## Public Member Functions
| FictionBook2BlockFormatContextBase (FictionBook2ParserContext *parentContext, const FictionBook2BlockFormat &format)
FictionBook2BlockFormat & | getBlockFormat ()
const FictionBook2BlockFormat & | getBlockFormat () const
void | setLang (const char *lang)
Public Member Functions inherited from libebook::FictionBook2NodeContextBase
| FictionBook2NodeContextBase (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector=nullptr)
Public Member Functions inherited from libebook::FictionBook2ParserContext
| FictionBook2ParserContext (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector=nullptr)
| Create a new context with `parentContext` as parent. More...
FictionBook2XMLParserContext * | leaveContext () const override
| Destroy this context and return parent. More...
FictionBook2Collector * | getCollector () const
| Get the collector. More...
FictionBook2ParserContext * | getParentContext () const
| Get the parent context. More...
Public Member Functions inherited from libebook::FictionBook2XMLParserContext
virtual | ~FictionBook2XMLParserContext ()=0
virtual FictionBook2XMLParserContext * | element (const FictionBook2TokenData &name, const FictionBook2TokenData &ns)=0
| Create a context for parsing a child element. More...
virtual void | endOfElement ()=0
| Signalize the end of an element. More...
virtual void | attribute (const FictionBook2TokenData &name, const FictionBook2TokenData *ns, const char *value)=0
| Process an attribute. More...

## Private Attributes
FictionBook2BlockFormat | m_format

## Constructor & Destructor Documentation

## ◆ FictionBook2BlockFormatContextBase()

libebook::FictionBook2BlockFormatContextBase::FictionBook2BlockFormatContextBase | ( | FictionBook2ParserContext * | parentContext,
|  | const FictionBook2BlockFormat & | format
| ) |  |

## Member Function Documentation

## ◆ getBlockFormat() [1/2]

FictionBook2BlockFormat & libebook::FictionBook2BlockFormatContextBase::getBlockFormat | ( |  | ) |

Referenced by libebook::FictionBook2CiteContext::element(), libebook::FictionBook2EpigraphContext::element(), libebook::FictionBook2PoemContext::element(), libebook::FictionBook2StanzaContext::element(), libebook::FictionBook2TitleContext::element(), libebook::FictionBook2TableContext::element(), libebook::FictionBook2TrContext::element(), libebook::FictionBook2StanzaContext::FictionBook2StanzaContext(), libebook::FictionBook2TitleContext::FictionBook2TitleContext(), libebook::FictionBook2TrContext::openRow(), and libebook::FictionBook2TableContext::startOfElement().

## ◆ getBlockFormat() [2/2]

const FictionBook2BlockFormat & libebook::FictionBook2BlockFormatContextBase::getBlockFormat | ( |  | ) | const

## ◆ setLang()

void libebook::FictionBook2BlockFormatContextBase::setLang | ( | const char * | lang | ) |

Referenced by libebook::FictionBook2CiteContext::attribute(), libebook::FictionBook2PoemContext::attribute(), libebook::FictionBook2StanzaContext::attribute(), and libebook::FictionBook2TitleContext::attribute().

## Member Data Documentation

## ◆ m_format

FictionBook2BlockFormat libebook::FictionBook2BlockFormatContextBase::m_format
| private

Referenced by getBlockFormat(), and setLang().

The documentation for this class was generated from the following files:

- FictionBook2ParserContext.h
- FictionBook2ParserContext.cpp